Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.assemblerbroker.util.python
Class PythonActionFactory

    java.lang.Object
      org.apache.turbine.services.assemblerbroker.util.python.PythonBaseFactory
          org.apache.turbine.services.assemblerbroker.util.python.PythonActionFactory

All Implemented Interfaces:
  Loader, AssemblerFactory

    public class PythonActionFactory

extends PythonBaseFactory

A screen factory that attempts to load a python class in the JPython interpreter and execute it as a Turbine screen. The JPython script should inherit from Turbine Screen or one of its subclasses.

Version:
  $Id: PythonActionFactory.java 743072 2009-02-10 19:40:09Z tv $
Author:
  Leon Messerschmidt, Henning P. Schmiedehausen

Field Summary

Fields inherited from class org.apache.turbine.services.assemblerbroker.util.python.PythonBaseFactory
`PYTHON_CONFIG_FILE, PYTHON_PATH`

Constructor Summary
`PythonActionFactory()`

Method Summary
`Assembler` | `getAssembler(String name)` Get an Assembler.
`Loader` | `getLoader()` Get the loader for this type of assembler

Methods inherited from class org.apache.turbine.services.assemblerbroker.util.python.PythonBaseFactory
`getAssembler, getCacheSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PythonActionFactory

    public PythonActionFactory()

Method Detail

### getAssembler

    public Assembler getAssembler(String name)
                           throws Exception

  Get an Assembler.

  Parameters:
    `name` - name of the requested Assembler
  Returns:
    an Assembler
  Throws:
    `Exception` - generic exception

### getLoader

    public Loader getLoader()

  Get the loader for this type of assembler

  Specified by:
    `getLoader` in interface `AssemblerFactory`
  Specified by:
    `getLoader` in class `PythonBaseFactory`
  Returns:
    a Loader

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.